Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html
Class ToolBarRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.ajax4jsf.renderkit.RendererBase
              org.ajax4jsf.renderkit.HeaderResourcesRendererBase
                  org.richfaces.renderkit.html.ToolBarRendererBase

All Implemented Interfaces:
  org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.resource.ResourceProduser

Direct Known Subclasses:
  ToolBarGroupRenderer, ToolBarRenderer

    public class ToolBarRendererBase

extends org.ajax4jsf.renderkit.HeaderResourcesRendererBase

Field Summary

Fields inherited from class org.ajax4jsf.renderkit.RendererBase
`JAVASCRIPT_NAMESPACE`

Constructor Summary
`ToolBarRendererBase()`

Method Summary
`void` | `encodeChildren(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`protected void` | `encodeEventsAttributes(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, javax.faces.context.ResponseWriter writer)`
`protected java.lang.Class` | `getComponentClass()`
`UIToolBar` | `getParentToolBar(javax.faces.component.UIComponent component)`
`boolean` | `getRendersChildren()`
`protected void` | `insertSeparatorIfNeed(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, javax.faces.context.ResponseWriter writer)`

Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase
`encodeResourcesArray, getHeaderScripts, getHeaderStyles, getScripts, getStyles, preEncodeBegin`

Methods inherited from class org.ajax4jsf.renderkit.RendererBase
`addResource, decode, doDecode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeEnd, getResource, getSkin, getUtils, preDecode, renderChild, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ToolBarRendererBase

    public ToolBarRendererBase()

Method Detail

### encodeChildren

    public void encodeChildren(javax.faces.context.FacesContext facesContext,
                               javax.faces.component.UIComponent component)
                        throws java.io.IOException

  Overrides:
    `encodeChildren` in class `org.ajax4jsf.renderkit.RendererBase`
  Throws:
    `java.io.IOException`

### insertSeparatorIfNeed

    protected void insertSeparatorIfNeed(javax.faces.context.FacesContext context,
                                         javax.faces.component.UIComponent component,
                                         javax.faces.context.ResponseWriter writer)
                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### getComponentClass

    protected java.lang.Class getComponentClass()

  Specified by:
    `getComponentClass` in class `org.ajax4jsf.renderkit.RendererBase`

### getRendersChildren

    public boolean getRendersChildren()

  Overrides:
    `getRendersChildren` in class `javax.faces.render.Renderer`

### encodeEventsAttributes

    protected void encodeEventsAttributes(javax.faces.context.FacesContext facesContext,
                                          javax.faces.component.UIComponent component,
                                          javax.faces.context.ResponseWriter writer)
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### getParentToolBar

    public UIToolBar getParentToolBar(javax.faces.component.UIComponent component)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.